Page MenuHomePhabricator

Transclusion of Special:NewImages produces a JavaScript error
Closed, ResolvedPublic

Description

To reproduce:

  • Edit a page (using the wikitext editor, I don't know about VE)
  • Enter {{Special:NewImages}}
  • Preview the page
  • Observe an error "Widget not found: mw-input-start" in the browser's console.

This seems to have been caused by rMW3a7ce3d629ff: Date range filtering in Special:NewFiles, which caused Special:NewImages to add a RL module for affecting the special page's form without guarding it in if ( !$this->including() ) {.

Event Timeline

Anomie created this task.Jun 11 2017, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2017, 4:46 PM
Sn1per removed a subscriber: Sn1per.Jun 11 2017, 4:49 PM
Sn1per added a subscriber: Sn1per.Jun 11 2017, 6:07 PM
Fomafix claimed this task.Jun 11 2017, 6:55 PM
Fomafix triaged this task as Medium priority.

Change 358242 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] SpecialNewimages: Do not add module when special page is included

https://gerrit.wikimedia.org/r/358242

Change 358242 merged by jenkins-bot:
[mediawiki/core@master] SpecialNewimages: Do not add the module when the special page is included

https://gerrit.wikimedia.org/r/358242

hashar added a subscriber: hashar.

I guess that deserves a backport to 1.30.0-wmf.4 ? :]

Change 358320 had a related patch set uploaded (by Hashar; owner: Fomafix):
[mediawiki/core@wmf/1.30.0-wmf.4] SpecialNewimages: Do not add the module when the special page is included

https://gerrit.wikimedia.org/r/358320

Change 358320 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.4] SpecialNewimages: Do not add the module when the special page is included

https://gerrit.wikimedia.org/r/358320

Mentioned in SAL (#wikimedia-operations) [2017-06-12T13:48:34Z] <hashar@tin> Synchronized php-1.30.0-wmf.4/includes/specials/SpecialNewimages.php: SpecialNewimages: Do not add the module when the special page is included - T167601 (duration: 00m 41s)

hashar closed this task as Resolved.Jun 12 2017, 1:48 PM

Backported to 1.30.0-wmf.4 and I have confirmed that drop the notice + show the content of new page on preview.